import 'package:app/util/watchState.dart';
import 'package:flutter/material.dart';

import '../state/legalStatusState.dart';

class StatusView extends StatelessWidget {
  const StatusView({super.key});

  @override
  Widget build(BuildContext context) {
    return WatchState<LegalStatusState>((context, state) {
      return Container(
        decoration: BoxDecoration(
          color: state.info.color
        ),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Center(
              child: Icon(
                state.info.icon,
                size: 40,
              ),
            ),
            const VerticalDivider(
              endIndent: 20,
              indent: 20,
              color: Colors.white,
              thickness: 3,
              width: 30,
            ),
            Center(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                mainAxisAlignment: MainAxisAlignment.center,
                crossAxisAlignment: CrossAxisAlignment.center,
                children: [
                  Text(
                    state.info.title,
                    style: const TextStyle(fontSize: 20),
                  ),
                  Text(state.info.subtitle),
                ],
              ),
            ),
            const SizedBox(width: 20),
            IconButton(
              icon: const Icon(Icons.info_outline),
              onPressed: () {

              },
            )
          ],
        )
      );
    });
  }
}
